Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

# Class WikiHtmlInline

java.lang.Object
com.vladsch.flexmark.util.ast.Node
com.vladsch.flexmark.ast.HtmlInlineBase
com.vladsch.flexmark.ast.HtmlInline
org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.WikiHtmlInline

public class WikiHtmlInline extends com.vladsch.flexmark.ast.HtmlInline

Regular `HtmlInline` get escaped depending on the value of the `MarkupParser.PROP_ALLOWHTML` property.

However, wikilink post processors inject additional HtmlInline that must not be escaped. Subclassing `HtmlInline` allows us to register a custom `NodeRenderingHandler` at `JSPWikiLinkRenderer` to bypass this limitation.

## Field Summary

### Fields inherited from class com.vladsch.flexmark.util.ast.Node

`AST_ADAPTER, EMPTY_SEGMENTS, SPLICE`

## Method Summary

Modifier and Type
Method
Description
`static WikiHtmlInline`
`of(String str)`
`static WikiHtmlInline`
`of(String str, org.apache.wiki.api.core.Context context)`

### Methods inherited from class com.vladsch.flexmark.ast.HtmlInline

`getAstExtra, getSegments`

### Methods inherited from class com.vladsch.flexmark.util.ast.Node

`appendChain, appendChild, astChars, astExtraChars, astString, baseSubSequence, baseSubSequence, countAncestorsOfType, countDirectAncestorsOfType, delimitedSegmentSpan, delimitedSegmentSpanChars, endOfLine, extractChainTo, extractToFirstInChain, getAncestorOfType, getBaseSequence, getBlankLineSibling, getChars, getCharsFromSegments, getChildChars, getChildIterator, getChildOfType, getChildren, getDescendants, getDocument, getEmptyPrefix, getEmptySuffix, getEndLineNumber, getEndOffset, getEndOfLine, getExactChildChars, getFirstChild, getFirstChildAny, getFirstChildAnyNot, getFirstInChain, getGrandParent, getLastBlankLineChild, getLastChild, getLastChildAny, getLastChildAnyNot, getLastInChain, getLeadSegment, getLineColumnAtEnd, getLineNumber, getNext, getNextAny, getNextAnyNot, getNodeName, getNodeOfTypeIndex, getNodeOfTypeIndex, getOldestAncestorOfTypeAfter, getParent, getPrevious, getPreviousAny, getPreviousAnyNot, getReversedChildIterator, getReversedChildren, getReversedDescendants, getSegmentsForChars, getSourceRange, getStartLineNumber, getStartOffset, getStartOfLine, getTextLength, getTrailSegment, hasChildren, hasOrMoreChildren, insertAfter, insertBefore, insertChainAfter, insertChainBefore, isOrDescendantOfType, lineColumnAtIndex, lineColumnAtStart, moveTrailingBlankLines, prependChild, removeChildren, segmentSpan, segmentSpan, segmentSpanChars, segmentSpanChars, segmentSpanChars, segmentSpanCharsToVisible, setChars, setCharsFromContent, setCharsFromContentOnly, setCharsFromSegments, setParent, spanningChars, startOfLine, takeChildren, toAstString, toSegmentSpan, toString, toStringAttributes, unlink`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### of

public static WikiHtmlInline of(String str)

### of

public static WikiHtmlInline of(String str, org.apache.wiki.api.core.Context context)